> ## Documentation Index
> Fetch the complete documentation index at: https://developers.supapost.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Product

> Create a new product manually.

## Body Parameters

<ParamField body="name" type="string" required>
  Product name.
</ParamField>

<ParamField body="description" type="string">
  Product description.
</ParamField>

<ParamField body="price" type="number">
  Product price.
</ParamField>

<ParamField body="compare_at_price" type="number">
  Original price for showing discounts.
</ParamField>

<ParamField body="currency" type="string" default="USD">
  Currency code (e.g. `USD`, `EUR`, `GBP`).
</ParamField>

<ParamField body="sku" type="string">
  Stock keeping unit.
</ParamField>

<ParamField body="status" type="string" default="active">
  Product status: `active`, `draft`, or `archived`.
</ParamField>

<ParamField body="image_url" type="string">
  Primary product image URL.
</ParamField>

<ParamField body="product_url" type="string">
  External product page URL.
</ParamField>

## Response

```json 200 theme={null}
{
  "id": "prod-uuid",
  "name": "Classic T-Shirt",
  "price": 29.99,
  "currency": "USD",
  "status": "active",
  "created_at": "2026-04-08T18:00:00Z"
}
```
